Request the current Let’s Encrypt configuration
GET /api
Response
200 — The current Let’s Encrypt configuration for this Octopus Server
AcceptLetsEncryptTermsOfServicebooleanCertificateExpiryDatestring
Formatdate-time.CertificateThumbprintstringDnsNamestringEnabledbooleanHttpsPortintegerIPAddressstringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PathstringRegistrationEmailAddressstring
Example Response
JSON
{
"AcceptLetsEncryptTermsOfService": true,
"CertificateExpiryDate": "2020-01-01T00:00:00.000Z",
"CertificateThumbprint": "string",
"DnsName": "string",
"Enabled": true,
"HttpsPort": 0,
"IPAddress": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Path": "string",
"RegistrationEmailAddress": "string"
}Allow you to disable the Let’s Encrypt configuration for this Octopus Server
PUT /api
Request Body
Enabledboolean (required)
Response
200 — The updated configuration
AcceptLetsEncryptTermsOfServicebooleanCertificateExpiryDatestring
Formatdate-time.CertificateThumbprintstringDnsNamestringEnabledbooleanHttpsPortintegerIPAddressstringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PathstringRegistrationEmailAddressstring
Example Request
JSON
{
"Enabled": true
}Example Response
JSON
{
"AcceptLetsEncryptTermsOfService": true,
"CertificateExpiryDate": "2020-01-01T00:00:00.000Z",
"CertificateThumbprint": "string",
"DnsName": "string",
"Enabled": true,
"HttpsPort": 0,
"IPAddress": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Path": "string",
"RegistrationEmailAddress": "string"
}